Summary:        An API for audio analysis and feature extraction plugins
Name:           vamp-plugin-sdk
Version:        2.9.0
Release:        5%{?dist}
License:        BSD
URL:            https://vamp-plugins.org/
Source0:        https://code.soundsoftware.ac.uk/attachments/download/2588/%{name}-%{version}.tar.gz

Patch3000:      %{name}-2.9.0-libdir.patch

BuildRequires: make gcc-c++ libsndfile-devel

%description
Vamp is an audio processing plugin system for plugins that extract
descriptive information from audio data — typically referred to as
audio analysis plugins or audio feature extraction plugins.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
This package provides libraries and header files for applications that use %{name}.

%package        static
Summary:        Static libraries for %{name}
Requires:       %{name}-devel = %{version}-%{release}

%description    static
This package provides library files for applications that use %{name}.


%prep
%autosetup -p1
sed -i 's|/lib/vamp|/%{_lib}/vamp|g' src/vamp-hostsdk/PluginHostAdapter.cpp
sed -i 's|/lib/|/%{_lib}/|g' src/vamp-hostsdk/PluginLoader.cpp


%build
%configure
make -O V=1 VERBOSE=1


%install
find . -name '*.pc.in' -exec sed -i 's|/lib|/%{_lib}|' {} ';'
%make_install

find %{buildroot} -name '*.la' -exec rm -f {} ';'

cd examples
echo CXXFLAGS=$RPM_OPT_FLAGS -fpic >> Makefile-%{_arch}
echo bundle: `ls *.o` >> Makefile
echo -e "\t"g++ \$\(CXXFLAGS\) -shared -Wl,-Bsymbolic \
     -o vamp-example-plugins.so \
     *.o \$\(pkg-config --libs vamp-sdk\) >> Makefile
echo `ls *.cpp`: >> Makefile
echo -e "\t"g++ \$\(CXXFLAGS\) -c $*.cpp >> Makefile
echo clean: >> Makefile
echo -e "\t"-rm *.o *.so >> Makefile
make clean



%files
%license COPYING
%doc README
%{_libdir}/*.so.*
%{_libdir}/vamp

%files devel
%doc examples
%{_bindir}/vamp-*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files static
%{_libdir}/*.a


%changelog
* Mon Nov 13 2023 cunshunxia@tencent.com - 2.9.0-5
- Rebuilt for libsndfile 1.2.0-4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 14 2023 cunshunxia <cunshunxia@tencent.com> - 2.9.0-3
- fix parallel compilation may fail.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 cunshunxia <cunshunxia@tencent.com> - 2.9.0-1
- initial build
